
public class VariableEntry {
	
	private String variableName;
	private Object value;
	private int level;
	private boolean isInitialized;
	private VariableEntry previous_id_entry;
//     private boolean mark;
    private String description = "" ;
	
	VariableEntry (String variableName, Object value, int level, boolean isInitialized) {
		this.variableName = variableName;
		this.value = value;
		this.level = level;
		this.isInitialized = isInitialized;
//         mark = false;
	}

	VariableEntry (String variableName, Object value, String description, int level, boolean isInitialized) {
		this.variableName = variableName;
		this.value = value;
        this.description = description;
		this.level = level;
		this.isInitialized = isInitialized;
//         mark = false;
	}


    public boolean isInitialized() {
        return isInitialized;
    }

    public void setInitialized(boolean newIsInitialized) {
        this.isInitialized = newIsInitialized;
    }

    

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getKey() {
        return variableName;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return this.description;
    }


//     public void markIt() {
//         mark = true;
//     }
//     public boolean isMarked() {
//         System.out.println(" Marking....");
        
//         return mark;
//     }
	
}
